post
https://sandbox.saner.secpod.com/AncorWebService/perform
Download a saved report as a ZIP archive containing its PDF.
Users can download all reports data of canned or custom report. This method returns a zip file containing the PDF report.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account name to fetch the saved report | Yes | string |
| reportname | Name of the saved report to download | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Report.getPdf(
accountid="Demo Account",
reportname="Asset Report"
)
if isinstance(response, bytes):
with open("report.zip", "wb") as f:
f.write(response)
else:
print(response)
client.close()Requires Python 3.9 or later.